# Sendpulse: Online Marketing

Drupal Module for Sendpulse using their [API](https://sendpulse.com/integrations/api).
Maintained and supported by
[Sujan Shrestha](https://www.drupal.org/u/sujan-shrestha).

## INTRODUCTION

This module uses [Sendpulse API](https://sendpulse.com/integrations/api) of the Sendpulse Api API. It allows users to add an API key and secret generated by a Sendpulse account in the settings.php file (or via an admin UI). Then will allow users to activate/enable a list and create a block derivative for each list that is enabled. It also provides an optional REST endpoint to send signups to the CC API for enabled lists.

For a full description of the module, visit the [project page](https://www.drupal.org/project/sendpulse_api).

To submit bug reports and feature suggestions, or track changes visit the [project issue page](https://www.drupal.org/project/issues/sendpulse_api).

## REQUIREMENTS

This module requires the following modules enabled in Drupal Core:

* Block
* REST (if wanting to use the provided REST endpoint)
* Datetime (if using custom date fields)
* Webform (if wanting to send webform submissions to a enabled list)

This module also requires a [Sendpulse](https://sendpulse.com/) account created on the [developer portal](https://sendpulse.com/integrations/api).

## INSTALLATION

* Install as you would normally install a contributed Drupal module. [Visit Drupal's documentation for further information](https://www.drupal.org/documentation/install/modules-themes/modules-7).

## CONFIGURATION

* Configure the user permissions in Administration » People » Permissions
* Create an app on Sendpulse Api's
[developer portal](https://sendpulse.com/integrations/api).
* Copy the API Secret provided, add the key to your settings.php file.
* Your settings.php entry should look like this:

```php
$settings['sendpulse_api'] = [
  'api_secret' => 'your_api_secret',
  'api_user_id' => 'your_api_user_id',
];
```

* If you prefer to use the UI, you can add these values to the admin UI form located at `admin/config/services/sendpulse-api`. Click save.
* Click the Authorize button to authorize your account (you may need to log into Constsant Contact again) to generate tokens.
* Once tokens are generated, go to `admin/config/services/sendpulse-api/lists` to enable the lists you'd like to place as blocks on your site or use as a REST endpoint.

## WEBFORM HANDLER CONFIGURATION

* Go to Webforms list page (admin/structure/webform) and click "Edit" on the desired Webform.
* Click Emails/Handlers secondary tab and then click on "Add handler" button.
* Click on "Add handler" button on "Sendpulse Api" row.
* Fill in the form. You should have at least one list in your Sendpulse Api account, at least one list enabled in your Sendpulse Module settings (/admin/config/services/sendpulse-api/lists), and at least one Email field in your Webform.

